mutt(1)

NAZWA
mutt - agent pocztowy użytkownika (MUA)

SKŁADNIA

mutt [-nRyzZ] [-e polecenie] [-F plik] [-m typ] [-f plik]

mutt [-nx] [-e polecenie] [-F plik] [-H plik] [-i plik] [-s temat] [-b adres] [-c adres] [-a plik [...] --] adres|url_mailto

mutt [-nx] [-e polecenie] [-F plik] [-H plik] [-s temat] [-b adres] [-c adres] [-a plik [...] --] adres|url_mailto [...] < wiadomość

mutt [-n] [-e polecenie] [-F plik] -p

mutt [-n] [-e polecenie] [-F plik] -A alias

mutt [-n] [-e polecenie] [-F plik] -Q zapytanie

mutt -v[v]

mutt -D

OPIS

Mutt jest małym, lecz bardzo silnym programem tekstowym, przeznaczonym do czytania i wysyłania poczty elektronicznej pod systemami operacyjnymi Unix, zawierającym w sobie w takie funkcje jak kolory, MIME, OpenPGP i sortowanie wiadomości według wątków.

Uwaga: Ta strona podręcznika zawiera krótkie wprowadzenie do opcji linii poleceń mutta. Pełny podręcznik w formacie tekstowym, HTML lub PDF powinien być dostępny w katalogu /usr/share/doc.

OPCJE

-A alias
    Wypisuje na wyjściu rozwiniętą wersję danego aliasu.

-a plik [...]
    Dołącza plik do wiadomości używając standardu MIME. Podczas dołączania jednego lub wielu plików, nazwy plików należy oddzielić od adresów odbiorców za pomocą "--", na przykład mutt -a image.jpg -- adres1 or mutt -a img.jpg *.png -- adres1 adres2. Opcja -a musi zostać umieszczona jako ostatnia opcja linii poleceń.

-b adres
    Określa ukrytego odbiorcę kopii wiadomości (BCC).

-c adres
    Określa odbiorcę kopii wiadomości (CC).

-d poziom
    Jeśli mutt został skompilowany z opcją +DEBUG, to zapisuje informacje debugowania do ~/.muttdebug0. Poziom jest liczbą z zakresu od 1 do 5 i wpływa na szczegółowość wypisywanych komunikatów. Zalecaną wartością jest 2.

-D  Wypisuje na standardowym wyjściu wartości opcji konfiguracyjnych.

-e polecenie
    Określa polecenie konfiguracyjne, które ma być wykonane po wczytaniu plików inicjalizacji.

-f skrzynka
    Określa, którą skrzynkę pocztową wczytać.

-F muttrc
    Określa plik konfiguracji, który ma być użyty zamiast ~/.muttrc

-h  Wyświetla pomoc.

-H szkic
    Określa plik ze szkicem zawierający nagłówek i treść wiadomości, które będą użyte do wysłania wiadomości.

-i plik włączany
    Określa plik do włączenia w treść wiadomości.

-m typ
    Określa domyślny typ skrzynki pocztowej dla nowo tworzonych folderów.

-n  Sprawia, że mutt pomija ogólnosystemowy plik konfiguracyjny.

-p  Ponownie otwiera zarzucony list.

-Q zapytanie
    Zapytanie o wartość zmiennej konfiguracyjnej. Jest wykonywane po przetworzeniu wszystkich plików konfiguracyjnych i wykonaniu wszystkich poleceń podanych w linii poleceń.

-R  Otwiera skrzynkę w trybie tylko do odczytu.

-s temat
    Określa temat wiadomości.

-v  Wyświetla wersję mutta i parametry, z którymi został skompilowany.

-vv Wyświetla informacje o licencji i prawach autorskich.

-x  Symuluje tryb tworzenia wiadomości programu mailx.

-y  Uruchamia mutta z listą wszystkich skrzynek pocztowych określonych poleceniem mailboxes.

-z  Kiedy jest używane z -f powoduje, że Mutt nie uruchamia się, jeżeli w skrzynce nie ma żadnych wiadomości.

-Z  Powoduje, że mutt otwiera pierwszą skrzynkę zawierającą nową wiadomość, spośród określonych przez polecenie mailboxes.

--  Traktuje pozostałe argumenty jaki adresy, nawet jeżeli zaczynają się od znaku myślnika. Patrz także opis opcji "-a" powyżej.

ŚRODOWISKO

EDITOR
    Edytor wywoływany podczas komponowania wiadomości, jeżeli nie jest ustawiona zmienna VISUAL.

EMAIL
    Adres e-mail użytkownika.

HOME
    Pełna ścieżka do katalogu domowego użytkownika.

MAIL
    Pełna ścieżka do katalogu buforowania skrzynki użytkownika.

MAILDIR
    Pełna ścieżka do katalogu skrzynki użytkownika, jeśli zmienna środowiskowa MAIL nie jest ustawiona. Zwykle używana, jeżeli skrzynka jest folderem maildir(5).

MAILCAPS
    Ścieżka przeszukiwania plików mailcap.

MM_NOASK
    Jeżeli ta zmienna jest ustawiona, to mailcap są zawsze używane bez uprzedniego pytania.

PGPPATH
    Katalog, w którym znajduje się pęk kluczy PGP (keyring) użytkownika.

TMPDIR
    Katalog, w którym tworzone są pliki tymczasowe.

REPLYTO
    Standardowy adres, na który mają być odsyłane odpowiedzi na wysłaną przez użytkownika pocztę.

VISUAL
    Edytor używany do tworzenia wiadomości

PLIKI

~/.muttrc lub ~/.mutt/muttrc
    Plik konfiguracyjny użytkownika.

/etc/Muttrc
    Ogólnosystemowy plik konfiguracyjny.

/tmp/muttXXXXXX
    Pliki tymczasowe tworzone przez mutta.

~/.mailcap
    Definicja użytkownika do obsługi nietekstowych typów MIME.

/etc/mailcap
    Definicja systemu do obsługi nietekstowych typów MIME.

~/.mime.types
    Osobiste mapowanie użytkownika pomiędzy typami MIME i rozszerzeniami plików.

/etc/mime.types
    Mapowanie systemowe pomiędzy typami MIME i rozszerzeniami plików.

/usr/bin/mutt_dotlock
    Uprzywilejowany program do dotlockingu.

/usr/share/doc/mutt/manual.txt.gz
    Podręcznik mutta.

BŁĘDY

Żadnych. Mutt ma pchły, a nie robaki [w oryginale to zdanie brzmi "Mutts have fleas, not bugs" i jest grą słów, angielskie słowo "bugs" oznacza "błędy", jak i "robaki"].

PCHŁY

Zawieszenie/wznawianie pracy podczas edytowania pliku za pomocą edytora zewnętrznego nie działa pod SunOS 4.x, jeżeli używasz bibliotek curses w /usr/5lib. Jednakże działa to z bibliotekami S-Lang.

Zmiana wielkości ekranu podczas korzystania z zewnętrznego programu wyświetlającego powoduje, że mutt wariuje na niektórych systemach.

Zawieszenie/wznawianie nie działa pod Ultrix.

Linia help dla menu nie jest uaktualniana, jeżeli podczas działania mutta zmienią się powiązania jednej z pokazanych w niej funkcji.

Aby uzyskać bardziej aktualną listę błędów, yyyy to jest pcheł, proszę odwiedzić stronę systemu śledzenia błędów mutta znajdującą się pod adresem http://bugs.mutt.org/.

BRAK GWARANCJI
Niniejszy program rozpowszechniany jest z nadzieją, iż będzie on użyteczny -- jednak BEZ JAKIEJKOLWIEK GWARANCJI, nawet domyślnej gwarancji PRZYDATNOŚCI HANDLOWEJ albo PRZYDATNOŚCI DO OKREŚLONYCH ZASTOSOWAŃ. W celu uzyskania bliższych informacji - Powszechna Licencja Publiczna GNU.

ZOBACZ TAKŻE

curses(3), mailcap(5), maildir(5), mbox(5), mutt_dotlock(1), muttrc(5), ncurses(3), sendmail(1), smail(1).

Strona domowa mutta: http://www.mutt.org/

Podręcznik mutta

AUTOR

Michael Elkins i inni. Użyj adresu <mutt-dev@mutt.org>, aby skontaktować się z twórcami.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Tomasz Wendlandt (PTM) <juggler@cp.pl> i Robert Luberda <robert@debian.org>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 1.5.23 oryginału.